Package org.eclipse.viatra.query.runtime.rete.recipes

## Interface AlphaRecipe

- All Superinterfaces:
    `org.eclipse.emf.ecore.EObject`, `org.eclipse.emf.common.notify.Notifier`, `ReteNodeRecipe`, `SingleParentNodeRecipe`
  All Known Subinterfaces:
    `CheckRecipe`, `EqualityFilterRecipe`, `EvalRecipe`, `ExpressionEnforcerRecipe`, `FilterRecipe`, `InequalityFilterRecipe`, `InputFilterRecipe`, `SingleColumnAggregatorRecipe`, `TransitiveClosureRecipe`, `TransparentRecipe`, `TrimmerRecipe`
  All Known Implementing Classes:
    `AlphaRecipeImpl`, `CheckRecipeImpl`, `EqualityFilterRecipeImpl`, `EvalRecipeImpl`, `ExpressionEnforcerRecipeImpl`, `FilterRecipeImpl`, `InequalityFilterRecipeImpl`, `InputFilterRecipeImpl`, `SingleColumnAggregatorRecipeImpl`, `TransitiveClosureRecipeImpl`, `TransparentRecipeImpl`, `TrimmerRecipeImpl`

      public interface AlphaRecipe
      extends SingleParentNodeRecipe

  A representation of the model object 'Alpha Recipe'. Abstract base class for alpha node recipes.
  See Also:
    `RecipesPackage.getAlphaRecipe()`
  Generated:
  Model:
    abstract="true"

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static java.lang.String` | `copyright`

  - ### Method Summary

    - ### Methods inherited from interface org.eclipse.emf.ecore.EObject

      `eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

    - ### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

      `eAdapters, eDeliver, eNotify, eSetDeliver`

    - ### Methods inherited from interface org.eclipse.viatra.query.runtime.rete.recipes.ReteNodeRecipe

      `getArity, getEquivalenceClassIDs, getTraceInfo, setTraceInfo`

    - ### Methods inherited from interface org.eclipse.viatra.query.runtime.rete.recipes.SingleParentNodeRecipe

      `getParent, setParent`

- - ### Field Detail

    - #### copyright

          static final java.lang.String copyright

      See Also:
        Constant Field Values
      Generated: